Package org.eclipse.jgit.diff

## Enum Edit.Type

- java.lang.Object
- - java.lang.Enum<Edit.Type>
  - - org.eclipse.jgit.diff.Edit.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Edit.Type>`

Enclosing class:
  Edit

    public static enum Edit.Type
    extends Enum<Edit.Type>

Type of edit

### Enum Constant Summary

Enum Constants
`DELETE` Sequence B has removed the region.
`EMPTY` Sequence A and B have zero length, describing nothing.
`INSERT` Sequence B has inserted the region.
`REPLACE` Sequence B has replaced the region with different content.

### Method Summary

All Methods Static Methods Concrete Methods
`static Edit.Type` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Edit.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSERT

    public static final Edit.Type INSERT

Sequence B has inserted the region.

#### DELETE

    public static final Edit.Type DELETE

Sequence B has removed the region.

#### REPLACE

    public static final Edit.Type REPLACE

Sequence B has replaced the region with different content.

#### EMPTY

    public static final Edit.Type EMPTY

Sequence A and B have zero length, describing nothing.

### Method Detail

#### values

    public static Edit.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Edit.Type c : Edit.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Edit.Type valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null